package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 直播进出记录
 */
@TableName("live_broadcast_room_member")
@ApiModel(value = "LiveBroadcastRoomMember对象", description = "直播进出记录")
public class LiveBroadcastRoomMember implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("房间编号 ")
	@TableField(value = "room_uid_")
    private String roomUid;
    @ApiModelProperty("进入房间的人员id/学生id ")
	@TableField(value = "user_id_")
    private Integer userId;
    @ApiModelProperty("进入房间时间 ")
	@TableField(value = "join_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date joinTime;
    @ApiModelProperty("进出类型 IN  OUT ")
	@TableField(value = "type_")
    private String type;
    @ApiModelProperty("是否主讲人 0：否 1：是 ")
	@TableField(value = "speaker_")
    private Integer speaker;

    @ApiModelProperty("clientIp")
    @TableField(value = "client_ip_")
    private String clientIp;

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    
	public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }
    
	public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
    
	public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }
    
	public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    
	public Integer getSpeaker() {
        return speaker;
    }

    public void setSpeaker(Integer speaker) {
        this.speaker = speaker;
    }
    
}